@import "../../../core/variables";

.table {
  display: table;
  table-layout: fixed;
  border-collapse: collapse;
  width: 100%;
  background: $color-white;
}

.header {
  display: table-header-group;
}

.title {
  display: table-cell;
  background: $color-gray-400;
  padding: $indent-sm $indent-xxl;
  color: $color-gray-800;
  border: 1px solid $color-gray-600;
  border-left: none;
  border-right: none;
}

.body {
  display: table-row-group;
}

.row {
  display: table-row;
}

.cell {
  display: table-cell;
  position: relative;
}

.cellWithBorder {
  border-bottom: 1px solid $color-gray-600;
}

.cellWithBackground {
  background: $color-gray-300;
}

.cellContent {
  &:not(.cellContentWithTopPadding) {
    padding-top: $indent-lt;
  }
}

.cellContentWithTopPadding {
  padding-top: $indent-sm;
}

.cellContentWithBottomPadding {
  padding-bottom: $indent-sm;
}

.cellContentWithHorizontalPadding {
  padding-left: $indent-xxl;
  padding-right: $indent-xxl;
}

.cellWithAlign {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  display: flex;
}

.startCellAlign {
  align-items: flex-start;
}

.centerCellAlign {
  align-items: center;
}

.endCellAlign {
  align-items: flex-end;
}
